Skip to main content

List Experience Categories

Retrieve a paginated list of experience categories.

Endpointโ€‹

GET /v1/experience-categories

Authenticationโ€‹

Requires an API key with the experiences:read scope.

Query Parametersโ€‹

ParameterTypeDefaultDescription
pageinteger1Page number
per_pageinteger15Items per page (max 100)
searchstring-Search by category name
parent_idinteger|string-Filter by parent: category ID, 0, or null for top-level
sortstringnameSort field: id, name, created_at
directionstringascSort direction: asc or desc

Responseโ€‹

Success (200 OK)โ€‹

{
"data": [
{
"id": 1,
"name": "Water Activities",
"description": "Kayaking, surfing, and paddleboarding",
"image": "https://equipdash.com/storage/categories/water.jpg",
"parent_id": null,
"parent": null,
"children": [
{
"id": 3,
"name": "Kayaking Tours",
"description": "Guided kayak adventures",
"image": null,
"parent_id": 1,
"experience_count": 4,
"created_at": "2025-01-15T00:00:00+00:00",
"updated_at": "2025-01-15T00:00:00+00:00"
}
],
"experience_count": 6,
"linked_types": ["rentals"],
"created_at": "2025-01-01T00:00:00+00:00",
"updated_at": "2025-01-01T00:00:00+00:00"
},
{
"id": 2,
"name": "Adventure Tours",
"description": "Hiking, climbing, and outdoor adventures",
"image": null,
"parent_id": null,
"parent": null,
"children": [],
"experience_count": 4,
"linked_types": [],
"created_at": "2025-01-15T00:00:00+00:00",
"updated_at": "2025-01-15T00:00:00+00:00"
}
],
"meta": {
"current_page": 1,
"per_page": 15,
"total": 2,
"total_pages": 1,
"request_id": "req_abc123",
"timestamp": "2026-01-15T12:00:00+00:00"
}
}

Response Fieldsโ€‹

FieldTypeDescription
idintegerUnique category identifier
namestringCategory name
descriptionstring|nullCategory description
imagestring|nullCategory image URL
parent_idinteger|nullParent category ID
parentobject|nullParent category summary (id, name)
childrenarrayChild categories
experience_countintegerNumber of experiences in this category, including experiences for which this is a secondary category.
linked_typesarrayOther booking types this category is linked to (rentals, store); empty when not linked
created_atstringISO 8601 datetime
updated_atstringISO 8601 datetime

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks experiences:read scope

Example Requestโ€‹

curl -X GET "https://app.equipdash.com/api/v1/experience-categories" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."